Subject: Re: [PATCH 2/3] USB: add of_platform glue driver for FSL USB DR controller

From: Greg KH <[email-masked]>
Date: Wed, 28 Jul 2010 11:46:47 -0700

On Wed, Jul 28, 2010 at 12:14:14PM -0600, Grant Likely wrote:
> On Wed, Jul 28, 2010 at 5:58 AM, Anatolij Gustschin <[email-masked]> wrote:
> > Hi Grant,
> >
> > On Wed, 28 Jul 2010 02:16:08 -0600
> > Grant Likely <[email-masked]> wrote:
> >
> >> On Thu, Jul 22, 2010 at 10:25 AM, Anatolij Gustschin <[email-masked]> wrote:
> >> > The driver creates platform devices based on the information
> >> > from USB nodes in the flat device tree. This is the replacement
> >> > for old arch fsl_soc usb code removed by the previous patch.
> >> > It uses usual of-style binding, available EHCI-HCD and UDC
> >> > drivers can be bound to the created devices. The new of-style
> >> > driver additionaly instantiates USB OTG platform device, as the
> >> > appropriate USB OTG driver will be added soon.
> >> >
> >> > Signed-off-by: Anatolij Gustschin <[email-masked]>
> >> > Cc: Kumar Gala <[email-masked]>
> >> > Cc: Grant Likely <[email-masked]>
> >>
> >> Hi Anatolij,
> >>
> >> Looks pretty good, but some comments below.
> >
> > Thanks for review and comments! Greg already merged this series and
> > therefore I'll submit an incremental cleanup patch to address
> > outstanding issues. My reply is below.
> 
> Greg maintains a patchwork tree IIRC.  I believe he drops patches from
> his linux-next branch if they need to be reworked.  Greg, do I have
> this right?

Yup.  I can easily drop all of these patches.

> Also, my preference would be to see some 3rd party testing before
> committing to having this merged.

Ok, I will go drop them all now, and wait for some that pass your
review.

thanks,

greg k-h